Package org.eclipse.ecf.core.identity

# Interface IIdentifiable

All Known Subinterfaces:
  `IContainer`, `IFileTransfer`, `IIncomingFileTransfer`, `IOutgoingFileTransfer`, `IReliableContainer`, `ISharedObjectContainer`, `ISharedObjectContainerConfig`

All Known Implementing Classes:
  `AbstractClientContainer`, `AbstractContainer`, `AbstractDiscoveryContainerAdapter`, `AbstractOutgoingFileTransfer`, `AbstractRestClientContainer`, `AbstractRetrieveFileTransfer`, `AbstractRSAClientContainer`, `AbstractRSAContainer`, `AbstractUrlConnectionOutgoingFileTransfer`, `BaseContainer`, `BaseSharedObject`, `ClientSOContainer`, `DistributedEventAdmin`, `DnsSdDiscoveryAdvertiser`, `DnsSdDiscoveryContainerAdapter`, `DnsSdDiscoveryLocator`, `HttpClientRetrieveFileTransfer`, `HttpClientRetrieveFileTransfer`, `HttpClientRetrieveFileTransfer`, `JSLPDiscoveryContainer`, `LocalFileOutgoingFileTransfer`, `OptimisticSharedObject`, `RegistrySharedObject`, `RemoteServiceContainer`, `RestClientContainer`, `ServerSOContainer`, `ServletServerContainer`, `SharedModel`, `SOContainer`, `SOContainerConfig`, `SSLClientSOContainer`, `SSLServerSOContainer`, `TCPClientSOContainer`, `TCPServerSOContainer`, `TransactionSharedObject`, `UrlConnectionRetrieveFileTransfer`, `ZooDiscoveryContainer`

public interface IIdentifiable
Defines implementing classes as being identifiable with an ECF ID.

## Method Summary

Modifier and Type
Method
Description
`ID`
`getID()`
Return the ID for this 'identifiable' object.

## Method Details

### getID

ID getID()
Return the ID for this 'identifiable' object. The returned ID should be unique within its namespace. May return `null`.

Returns:
  the ID for this identifiable object. May return `null`.